package com.ym.mec.biz.dal.entity;

import java.util.Date;

import com.ym.mec.auth.api.entity.SysUser;

public class LuckDrawLog {
	private Long id;

	private Integer prizeId;

	private Long userId;

	private Date createOn;

	private LuckDrawPrize luckDrawPrize = new LuckDrawPrize();

	private SysUser user = new SysUser();

	private Integer groupId;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Integer getPrizeId() {
		return prizeId;
	}

	public void setPrizeId(Integer prizeId) {
		this.prizeId = prizeId;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public Date getCreateOn() {
		return createOn;
	}

	public void setCreateOn(Date createOn) {
		this.createOn = createOn;
	}

	public LuckDrawPrize getLuckDrawPrize() {
		return luckDrawPrize;
	}

	public void setLuckDrawPrize(LuckDrawPrize luckDrawPrize) {
		this.luckDrawPrize = luckDrawPrize;
	}

	public SysUser getUser() {
		return user;
	}

	public void setUser(SysUser user) {
		this.user = user;
	}

	public Integer getGroupId() {
		return groupId;
	}

	public void setGroupId(Integer groupId) {
		this.groupId = groupId;
	}
}